package com.xhkjedu.sexam.mapper.paper;

import com.xhkjedu.sexam.base.TkMapper;
import com.xhkjedu.sexam.model.paper.EPaperFile;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description 附件试卷文件
 * @Author WN
 * Date 2022/7/18 14:10
 **/
public interface EPaperFileMapper extends TkMapper<EPaperFile> {

    List<Map> listPaperFiles(@Param("epid") Integer epid);

    //删除附件
    void deleteByEpid(@Param("epid") Integer epid);

    List<Map> listPaperFilesByEpsid(@Param("epsid") Integer epsid);
}
